﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=8
@EndOfDesignText@
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Public sKey As Int=0
	Public sOK As Int=1
	Public sNotOk As Int=2
	Public sClick As Int=3
	Public stCreated As Int=1
	Public stReprinted As Int=2
	Public stVoided As Int=3
	Public stUploaded As Int=4
	Public BaseURL As String=""
	Public LabelZPL As Boolean=True
	Public gDisableKeyClick As Boolean=True

End Sub

Sub AddQuote(pString As String) As String
	Return Chr(34)&pString&Chr(34)
End Sub
Sub CInt(o As Object) As Int
	Return Floor(o)
End Sub
Sub CLng(o As Object) As Long
	Return Floor(o)
End Sub
Sub CStr(o As Object) As String
	Return "" & o
End Sub
Sub GetDate(pDateTime As Long) As String
	Return DateTime.Date(pDateTime)
End Sub
Sub GetDateTime(pDateTime As Long) As String
	Return DateTime.Date(pDateTime)&" "&DateTime.Time(pDateTime)
End Sub
Sub GetGuid As String
	Dim r As Reflector
	r.Target = r.RunStaticMethod("java.util.UUID", "randomUUID", Null, Null)
	Return r.RunMethod("toString")
End Sub

Sub GetStampDateTime(pDateTime As Long) As String
	Dim OrigDateFormat As String=DateTime.DateFormat
	DateTime.DateFormat="yyyyMMddHHmmss"
	Dim MyDate As String=DateTime.Date(pDateTime) & DateTime.Time(pDateTime)
	DateTime.DateFormat=OrigDateFormat
	Return MyDate
End Sub
Sub GetTime(pDateTime As Long) As String
	Return DateTime.Time(pDateTime)
End Sub
Sub IntToDIP(Integer As Int) As Int
	Dim r As Reflector
	Dim scale As Float
	r.Target = r.GetContext
	r.Target = r.RunMethod("getResources")
	r.Target = r.RunMethod("getDisplayMetrics")
	scale = r.GetField("density")
  
	Dim DIP As Int
	DIP = Integer * scale + 0.5
	Return DIP
End Sub
Sub Left(Text As String, Length As Long)As String
	If Length>Text.Length Then Length=Text.Length
	Return Text.SubString2(0, Length)
End Sub
Sub Right(Text As String, Length As Long) As String
	If Length>Text.Length Then Length=Text.Length
	Return Text.SubString(Text.Length-Length)
End Sub
Sub Mid(Text As String, Start As Int, Length As Int) As String
	Return Text.SubString2(Start-1,Start+Length-1)
End Sub

Sub Play(pSound As Int)
	Dim MediaPlayer1 As MediaPlayer
	MediaPlayer1.Initialize
	Dim lSound As String : lSound=""
	Select Case pSound
		Case 0
			lSound="typewriter_key.mp3"
		Case 1
			lSound="ok2.mp3"
		Case 2
			lSound="notok2.mp3"
		Case 3
			If (pSound=3 And gDisableKeyClick=True) Then
				Return
			End If
			lSound="click.mp3"
		Case 4
			lSound="camera-shutter.mp3"
	End Select
	MediaPlayer1.Load(File.DirAssets,lSound)
	If MediaPlayer1.IsPlaying Then
		MediaPlayer1.Stop
	End If
	MediaPlayer1.play
End Sub
Sub Split(Text As String, Delimiter As String) As String()
	Return Regex.Split(Delimiter,Text)
End Sub


Sub CreateFileProviderUri (Dir As String, FileName As String) As Object
	Dim FileProvider As JavaObject
	Dim context As JavaObject
	context.InitializeContext
	FileProvider.InitializeStatic("android.support.v4.content.FileProvider")
	Dim f As JavaObject
	f.InitializeNewInstance("java.io.File", Array(Dir, FileName))
	Return FileProvider.RunMethod("getUriForFile", Array(context, Application.PackageName & ".provider", f))
End Sub